ONEIC.US
  1. Home
  2. Manufacturer
  3. quest-tech
  4. Coaxial/RF Cable Assemblies

quest-tech

quest-tech- Coaxial/RF Cable Assemblies

Quest-Tech was founded in 1985 in Singapore and has grown into a global provider of cleanroom equipment, system solutions, and cleanroom services. The company specializes in micro-contamination control and cleanroom technology. Quest-Tech designs and constructs cleanroom facilities, including ACMV/HVAC air purification systems. It supplies high-purity gas analyzers, ultrapure water monitoring instruments, and cleanroom monitoring equipment. The laboratory division provides biological safety cabinets, fume hoods, isolators, and laminar flow workstations, along with turnkey laboratory engineering. As the first NEBB-accredited third-party cleanroom testing company in Asia since 1992, Quest-Tech offers NEBB-compliant testing and validation services. Additional services include pure water analysis, gas pipeline testing, and comprehensive environmental and laboratory analysis. The company has established subsidiaries across Asia, including Quest-Tech (Shanghai) Co., Ltd., with offices in Malaysia, Philippines, Hong Kong, and major Chinese cities like Suzhou, Shenzhen, and Beijing. Backed by a team of highly qualified engineers, Quest-Tech is committed to delivering localized, high-qualit

03

Coaxial/RF Cable Assemblies - 型号列表

80 parts in total

Cable Length

Connector Type

2nd Connector Type

Cable Type

Mfr Part #Quantity AvailablePriceCable TypeCable LengthConnector TypeConnector - Cable2nd Connector TypeTypeFeaturesFunctionStandardsJacket ColorRoHS
RFC-2213
2
RFC-2213

Quest Technology

101: $54.40RG-58A/U3Ft.UHFMaleStraightUHFMaleCoaxial/RFNonBootedNonBooted---
RFC-2216
2
RFC-2216

Quest Technology

451: $97.58RG-58A/U10Ft.UHFMaleStraightUHFMaleCoaxial/RFNonBootedNonBooted---
RFC-1115
2
RFC-1115

Quest Technology

331: $73.44RG-58A/U7Ft.BNCPlugStraightBNCPlugCoaxial/RFNonBootedNonBootedULBlack-
RFC-1534
2
RFC-1534

Quest Technology

121: $53.516RG-58C/U5Ft.SMAPlugStraightSMAPlugCoaxial/RFNonBootedNonBooted---
RFC-1111
2
RFC-1111

Quest Technology

231: $53.584RG-58A/U1Ft.BNCPlugStraightBNCPlugCoaxial/RFNonBootedNonBootedULBlack-
RFC-1411
2
RFC-1411

Quest Technology

101: $68.748RG-58A/U1Ft.TNCMaleStraightTNCMaleCoaxial/RF-----
RFC-2214
2
RFC-2214

Quest Technology

4611: $127.194RG-58A/U5Ft.UHFMaleStraightUHFMaleCoaxial/RF-----
RFC-1116
2
RFC-1116

Quest Technology

1081: $83.368RG-58A/U10Ft.BNCPlugStraightBNCPlugCoaxial/RFNonBootedNonBootedULBlack-
RFC-1535
2
RFC-1535

Quest Technology

101: $58.548RG-58C/U7Ft.SMAPlugStraightSMAPlugCoaxial/RFNonBootedNonBooted---
RFC-1112
2
RFC-1112

Quest Technology

101: $56.78RG-58A/U2Ft.BNCPlugStraightBNCPlugCoaxial/RFNonBootedNonBootedULBlack-
RFC-1815
2
RFC-1815

Quest Technology

101: $89.012RG-58A/U7Ft.NPlugStraightNPlugCoaxial/RF----RoHS Compliant Part
RFC-1416
2
RFC-1416

Quest Technology

101: $90.032RG-58A/U10Ft.TNCMaleStraightTNCMaleCoaxial/RF-----
RFC-1322
2
RFC-1322

Quest Technology

8761: $66.946RG-59B/U2Ft.BNCPlugStraightBNCPlugCoaxial/RFNonBootedNonBootedULBlack-
RFC-1814
2
RFC-1814

Quest Technology

101: $83.232RG-58A/U5Ft.NPlugStraightNPlugCoaxial/RF-----
RFC-1412
2
RFC-1412

Quest Technology

101: $71.876RG-58A/U2Ft.TNCMaleStraightTNCMaleCoaxial/RF-----
RFC-1121
2
RFC-1121

Quest Technology

8401: $69.8088RG-59B/U1Ft.BNCPlugStraightBNCPlugCoaxial/RFNonBootedNonBootedULBlack-
RFC-1536
2
RFC-1536

Quest Technology

101: $98.056RG-58C/U10Ft.SMAPlugStraightSMAPlugCoaxial/RFNonBootedNonBooted---
RFC-1113
2
RFC-1113

Quest Technology

101: $60.384RG-58A/U3Ft.BNCPlugStraightBNCPlugCoaxial/RFNonBootedNonBootedULBlack-
RFC-1323
2
RFC-1323

Quest Technology

9241: $63.4984RG-59B/U3Ft.BNCPlugStraightBNCPlugCoaxial/RFNonBootedNonBootedULBlack-
RFC-1816
2
RFC-1816

Quest Technology

101: $117.912RG-58A/U10Ft.NPlugStraightNPlugCoaxial/RF-----
Page 1 / 4
1